Get Billing Credits
curl --request GET \
--url https://athena.tryopencomputer.com/api/v1/organizations/billing/credits \
--header 'X-API-Key: <api-key>'import requests
url = "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://athena.tryopencomputer.com/api/v1/organizations/billing/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://athena.tryopencomputer.com/api/v1/organizations/billing/credits")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/organizations/billing/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_credits_used": 0,
"remaining_credits": 0,
"total_quota": 0,
"account": {
"id": 123,
"organization_id": 123,
"billing_mode": "<string>",
"cached_balance_credits": 123,
"currency": "<string>"
},
"ledger_entries": [
{
"id": 123,
"entry_type": "<string>",
"credits_delta": 123,
"balance_after": 123,
"created_at": "<string>",
"origin": "<string>",
"amount_minor": 123,
"amount_currency": "<string>",
"payment_order_id": 123,
"metric_code": "<string>",
"correlation_id": "<string>",
"aggregation_key": "<string>",
"usage_event_id": 123,
"workflow_run_id": 123,
"workflow_id": 123,
"billable_quantity": 123,
"quantity_unit": "<string>",
"metadata": {}
}
],
"total_count": 0,
"page": 1,
"limit": 50,
"total_pages": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Organizations
Get Billing Credits
Read credit information exposed for this deployment and account. A valid response does not mean online checkout or usage-based charges are configured.
Get Billing Credits
curl --request GET \
--url https://athena.tryopencomputer.com/api/v1/organizations/billing/credits \
--header 'X-API-Key: <api-key>'import requests
url = "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://athena.tryopencomputer.com/api/v1/organizations/billing/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/organizations/billing/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://athena.tryopencomputer.com/api/v1/organizations/billing/credits")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/organizations/billing/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_credits_used": 0,
"remaining_credits": 0,
"total_quota": 0,
"account": {
"id": 123,
"organization_id": 123,
"billing_mode": "<string>",
"cached_balance_credits": 123,
"currency": "<string>"
},
"ledger_entries": [
{
"id": 123,
"entry_type": "<string>",
"credits_delta": 123,
"balance_after": 123,
"created_at": "<string>",
"origin": "<string>",
"amount_minor": 123,
"amount_currency": "<string>",
"payment_order_id": 123,
"metric_code": "<string>",
"correlation_id": "<string>",
"aggregation_key": "<string>",
"usage_event_id": 123,
"workflow_run_id": 123,
"workflow_id": 123,
"billable_quantity": 123,
"quantity_unit": "<string>",
"metadata": {}
}
],
"total_count": 0,
"page": 1,
"limit": 50,
"total_pages": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Entry type; credit includes purchases, grants, and additional credits
Available options:
credit, purchase, debit, grant, additional_credit Inclusive calendar date in timezone
Inclusive calendar date in timezone
IANA timezone for the selected calendar dates
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes